%define fw_version 5.41

%define oname kdnssd

Summary:	KDE Frameworks 5 DNSSD module
Name:		%{oname}-kf5
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(avahi-core)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 DNSSD module.

#----------------------------------------------------------------------------

%package i18n
Summary:	KDNSSD translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDNSSD translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5dnssd_major 5
%define libkf5dnssd %mklibname kf5dnssd %{kf5dnssd_major}

%package -n %{libkf5dnssd}
Summary:	KDE Frameworks 5 DNSSD shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	nss_mdns

%description -n %{libkf5dnssd}
KDE Frameworks 5 DNSSD shared library.

%files -n %{libkf5dnssd}
%{_kde5_libdir}/libKF5DNSSD.so.%{kf5dnssd_major}*

#----------------------------------------------------------------------------

%define devkf5dnssd %mklibname kf5dnssd -d

%package -n %{devkf5dnssd}
Summary:	Development files for KDE Frameworks 5 DNSSD module
Group:		Development/KDE and Qt
Requires:	%{libkf5dnssd} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5dnssd-devel = %{version}

%description -n %{devkf5dnssd}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5dnssd}
%{_kde5_includedir}/KF5/KDNSSD/
%{_kde5_libdir}/libKF5DNSSD.so
%{_kde5_libdir}/cmake/KF5DNSSD
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (4e35036) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (39f1125) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (1facef8) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (f5e8388) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (f5f42df) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (5a2fabc) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (fdc5fc9) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (2062ddf) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (23be0a1) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (074c5fb) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (9a6221b) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (1641242) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (ed30119) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (3f8f41c) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (67b12c2) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (c0d040c) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (d463704) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (0321e91) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (c2bd6cc) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (61e571f) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (46c479f) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (e6ce117) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (e57f114) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (58f8211) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (e7cae30) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (a975979) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (194eda2) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (ba628ce) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (3f461a3) MassBuild#682: Increase release tag

* Thu Mar 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-2
- (9f8fdba) Adjust devel package Provides and headers directory


